- Extending Qt Creator Manual
- QtCreator
- TextDisplay
- Extending Qt Creator Manual 13.0.0

# TextDisplay Class

class Utils::TextDisplay

A text display is a phony aspect with the sole purpose of providing some text display using an Utils::InfoLabel in places where otherwise more expensive Utils::StringAspect items would be used. More...

Header: | #include <TextDisplay>
Inherits: | Utils::BaseAspect

- List of all members, including inherited members

## Public Functions

| TextDisplay(Utils::AspectContainer *container = nullptr, const QString &message = {}, InfoLabel::InfoType type = InfoLabel::None)
void | setIconType(InfoLabel::InfoType t)

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &parent) override

## Detailed Description

A text display does not have a real value.

## Member Function Documentation

### TextDisplay::TextDisplay(Utils::AspectContainer *container = nullptr, const QString &message = {}, InfoLabel::InfoType type = InfoLabel::None)

Constructs a text display showing the message with an icon representing type type.

### `[override virtual]` void TextDisplay::addToLayout(Layouting::LayoutItem &parent)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).

### void TextDisplay::setIconType(InfoLabel::InfoType t)

Sets t as the information label type for the visual representation of this aspect.